org.jCharts.chartData.interfaces

## Interface IAxisDataSeries

- All Superinterfaces:
    IData, Serializable
  All Known Subinterfaces:
    IDataSeries, IScatterPlotDataSeries
  All Known Implementing Classes:
    AxisDataSeries, DataSeries, ScatterPlotDataSeries

      public interface IAxisDataSeries
      extends IData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)`
    `String` | `getChartTitle()` Returns the chart title.
    `IAxisPlotDataSet` | `getIAxisPlotDataSet(ChartType chartType)`
    `Iterator` | `getIAxisPlotDataSetIterator()`
    `int` | `getTotalNumberOfDataSets()` Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection.
    `String` | `getXAxisTitle()` Returns the x-axis title.
    `String` | `getYAxisTitle()` Returns the y-axis title.
    `int` | `size()` Returns the number of IAxisPlotDataSet Objects in this series
    `void` | `validate()` Validates the DataSeries implementation.

- - ### Method Detail

    - #### getXAxisTitle

          String getXAxisTitle()

      Returns the x-axis title.
      Returns:
        String the x-axis title. If this returns NULL, no title will be displayed.

    - #### getYAxisTitle

          String getYAxisTitle()

      Returns the y-axis title.
      Returns:
        String the y-axis title. If this returns NULL, no title will be displayed.

    - #### getChartTitle

          String getChartTitle()

      Returns the chart title.
      Returns:
        String the chart title. If this returns NULL, no title will be displayed.

    - #### validate

          void validate()
                 throws ChartDataException,
                        PropertyException

      Validates the DataSeries implementation. This will only get called if the ChartProperties flag to validate is true.
      Throws:
        `ChartDataException`
        `PropertyException`
      Since:
        0.7.0
      See Also:
        `ChartProperties.setValidate( boolean )`

    - #### getIAxisPlotDataSetIterator

          Iterator getIAxisPlotDataSetIterator()

    - #### addIAxisPlotDataSet

          void addIAxisPlotDataSet(IAxisPlotDataSet iAxisPlotDataSet)

    - #### getIAxisPlotDataSet

          IAxisPlotDataSet getIAxisPlotDataSet(ChartType chartType)

    - #### getTotalNumberOfDataSets

          int getTotalNumberOfDataSets()

      Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection. For example, if this contains two IAxisChartDataSets and each one contains 3 dimensions ( 3 lines and 3 sets of points ), this should return six. This provides a means to avoid looping the contents of the series each time i need the value.
      Returns:
        int

    - #### size

          int size()

      Returns the number of IAxisPlotDataSet Objects in this series
      Returns:
        int